package datasourcetest.ejb;

import datasourcetest.entity.Person;
import java.io.Serializable;
import java.util.List;
import javax.ejb.Stateless;
import javax.inject.Named;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.criteria.CriteriaQuery;

@Named
@Stateless
public class UserBean implements Serializable {
    
    private List<Person> persons;
    @PersistenceContext
    EntityManager em;
    
    public UserBean() {}

    /**
     * @return the persons
     */
    public List<Person> getPersons() {
        CriteriaQuery cq = em.getCriteriaBuilder().createQuery();
        cq.select(cq.from(Person.class));
        return em.createQuery(cq).getResultList();
    }

    /**
     * @param persons the persons to set
     */
    public void setPersons(List<Person> persons) {
        this.persons = persons;
    }
}

